--[[Fish Warden API
    refer to the included "api.txt" file for documentation

    note: I intend to make every effort to keep the API compatible between versions
    I will make specific notes in the changelogs if there is ever a potential code-breaking change
  ]]

local FishWarden = FishWarden_79a6ca19_6666_4759_9b8f_a67708694e5b;

function FiWaAPI_IsFishWardenEnabled()
    if (FishWarden.Vars) then
        return FishWarden.Vars.Enable;
    else
        return false;
    end
end

function FiWaAPI_EnableFishWarden(enabled)
    if (not FishWarden.Vars) then
        print("|cffff0000Fish Warden: An addon attempted to call FWAPI_EnableFishWarden during or before the PLAYER_LOGIN event|r");
        return false;
    end

    if ((enabled == nil) or (enabled and not FishWarden.Vars.Enable) or (not enabled and FishWarden.Vars.Enable)) then
        FishWarden:SetEnable();
        FishWarden.GUI.MainFrame:refresh();
    end

    if (FishWarden.Vars.Debug) then
        print("|cffffff00Fish Warden:|r Another addon",
            (FishWarden.Vars.Enable and "|cff00ff00enabled|r") or "|cffff0000disabled|r", "Fish Warden");
    end

    return true;
end

function FiWaAPI_IsAutoReleasing()
    if (FishWarden.Vars) then
        return FishWarden.Vars.AutoCloseLoot;
    else
        return false;
    end
end

function FiWaAPI_EnableAutoReleasing(enabled)
    if (not FishWarden.Vars) then
        print("|cffff0000Fish Warden: An addon attempted to call FWAPI_EnableAutoReleasing during or before the PLAYER_LOGIN event|r");
        return false;
    end

    FishWarden.Vars.AutoCloseLoot = enabled and true; -- ensure a boolean value gets stored, nil is ok
    FishWarden.GUI.MainFrame:refresh();

    if (FishWarden.Vars.Debug) then
        print("|cffffff00Fish Warden:|r Another addon",
            (enabled and "|cff00ff00enabled|r option:") or "|cffff0000disabled|r option:", FishWarden.Locale.AutoClose);
    end

    return true;
end

